function frmExecute(msg){
	if(msg=="del"||msg.indexOf("del")>=0){
		if(!confirm("删除将不可恢复，确定要继续吗？"))
		{
			return
		}
	}
	document.forms[0].act.value=msg;
	document.forms[0].submit();
}
function frmSet(name,val){
	var obj=document.forms[0][name];
	if(obj){
		obj.value=val;
	}else{
		arr_obj=document.forms[0].getElementsByName(name);
		if(arr_obj.length>0){
			obj=arr_obj[0];
			obj.value=val;
		}
	}
}
function frmPage(val){
	var obj=document.frmMain;
	if(obj && obj.page){
		obj.page.value=val;
		obj.submit();
		return;
	}
	var obj_forms=document.forms;
	for(i=0;i<obj_forms.length;i++){
		obj=obj_forms[i];
		if(obj && obj.page){
			obj.page.value=val;
			obj.submit();
			return;
		}
	}
	var str_url=window.location.href;
	var arr_parse=str_url.split("?");
	var arr_new_param=new Array();
	var str_param="?page="+val;
	var arr_x;
	var ii=0;
	if(arr_parse.length>1){
		var arr_param=arr_parse[1].split("&");
		for(i=0;i<arr_param.length;i++){
			arr_x=arr_param[i].split("=");
			if(arr_x[0]!="page"){
				arr_new_param[ii]=arr_x[0]+"="+arr_x[1];
				ii++;
			}
		}
		if(arr_new_param.length>0) str_param+="&"+arr_new_param.join("&");
	}
	str_url=arr_parse[0]+str_param;
	window.open(str_url,"_self");
}